Bug 328593 - Dual screen has regressed in plasma-shell
Summary: Dual screen has regressed in plasma-shell
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on: 328594 328596 330757 333191 333193 334498 334500 334502 334548 335710 344076 346181
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-09 19:32 UTC by Alex Fiestas
Modified: 2016-01-27 03:06 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Fiestas 2013-12-09 19:32:06 UTC
Meta-bug to track all dual screen issues (aka extended desktop)

Reproducible: Always
Comment 1 Martin Klapetek 2014-05-07 17:40:37 UTC
This seems to have all bugs depending on this closed; can this be closed too?
Comment 2 Aleix Pol 2014-05-07 17:59:48 UTC
I would close it. I'm sure there are issues but I would say they are mostly in kwin now.

KWin is regressing on dual screen too.
Comment 3 Martin Flöser 2014-05-08 07:58:38 UTC
> I would close it. I'm sure there are issues but I would say they are mostly
> in kwin now.
> 
> KWin is regressing on dual screen too.

Please give a try to https://git.reviewboard.kde.org/r/117614/

I'm unsure about whether I want to ship it, but we need to do something. 
QDesktopWidget has regressed which KWin relies on. So going xrandr directly 
would be better, but I need more people to test the code.
Comment 4 Martin Klapetek 2014-05-08 09:23:32 UTC
Actually now after the kscreen merge, I see new bugs wrt to multi-screen, I'll file them and make them block this one for tracking.
Comment 5 Martin Klapetek 2016-01-27 03:06:30 UTC
This bug seems quite outdated. 

Multi-screen issues are now tracked in the Multi-Screen component
and this has no use anymore as its purpose was to track regressions
for the first release.